Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2)

Unified Diff: third_party/protobuf/csharp/build_tools.sh

Issue 2590803003: Revert "third_party/protobuf: Update to HEAD (83d681ee2c)" (Closed)
Patch Set: Created 4 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/protobuf/csharp/build_packages.bat ('k') | third_party/protobuf/csharp/buildall.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/protobuf/csharp/build_tools.sh
diff --git a/third_party/protobuf/csharp/build_tools.sh b/third_party/protobuf/csharp/build_tools.sh
deleted file mode 100755
index 182c5c5c82eab8c0b70c4b975d6c245afb542776..0000000000000000000000000000000000000000
--- a/third_party/protobuf/csharp/build_tools.sh
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/bin/bash
-
-if [ $# -ne 1 ]; then
- cat <<EOF
-Usage: $0 <VERSION_NUMBER>
-
-Example:
- $ $0 3.0.0
-
-This script will download pre-built protoc binaries from maven repository and
-create the Google.Protobuf.Tools package. Well-known type .proto files will also
-be included.
-EOF
- exit 1
-fi
-
-VERSION_NUMBER=$1
-# <directory name> <binary file name> pairs.
-declare -a FILE_NAMES=( \
- windows_x86 windows-x86_32.exe \
- windows_x64 windows-x86_64.exe \
- macosx_x86 osx-x86_32.exe \
- macosx_x64 osx-x86_64.exe \
- linux_x86 linux-x86_32.exe \
- linux_x64 linux-x86_64.exe \
-)
-
-set -e
-
-mkdir -p protoc
-# Create a zip file for each binary.
-for((i=0;i<${#FILE_NAMES[@]};i+=2));do
- DIR_NAME=${FILE_NAMES[$i]}
- mkdir -p protoc/$DIR_NAME
-
- if [ ${DIR_NAME:0:3} = "win" ]; then
- TARGET_BINARY="protoc.exe"
- else
- TARGET_BINARY="protoc"
- fi
-
- BINARY_NAME=${FILE_NAMES[$(($i+1))]}
- BINARY_URL=http://repo1.maven.org/maven2/com/google/protobuf/protoc/${VERSION_NUMBER}/protoc-${VERSION_NUMBER}-${BINARY_NAME}
-
- if ! wget ${BINARY_URL} -O protoc/$DIR_NAME/$TARGET_BINARY &> /dev/null; then
- echo "[ERROR] Failed to download ${BINARY_URL}" >&2
- echo "[ERROR] Skipped $protoc-${VERSION_NAME}-${DIR_NAME}" >&2
- continue
- fi
-done
-
-nuget pack Google.Protobuf.Tools.nuspec
« no previous file with comments | « third_party/protobuf/csharp/build_packages.bat ('k') | third_party/protobuf/csharp/buildall.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698